#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	fuse
Version		:	2.9.9
Release		:	17.2.0.rel%{?dist}
Summary		:	File System in Userspace (FUSE) v2 utilities

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-1.0-or-later
URL		:	https://github.com/libfuse/libfuse

Source0		:	%{name}-%{version}.tar.gz
Patch5		:	%{name}-%{version}-branch-452.patch
Patch7		:	%{name}-%{version}-define-closefro.patch

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	gettext
BuildRequires	:	make

Requires	:	which
#-----------------------------------------------------------------------------
%description
With FUSE it is possible to implement a fully
functional filesystem in a userspace program.
This package contains the FUSE v2 userspace
tools to mount a FUSE filesystem.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README.md README.NFS
%license COPYING
%license COPYING.LIB
%{_sbindir}/mount.fuse
%attr(4755,root,root) %{_bindir}/fusermount
%{_bindir}/ulockmgr_server
%{_libdir}/libfuse.so.2*
%{_libdir}/libulockmgr.so.1*
%{_mandir}/man1/fusermount.1.gz
%{_mandir}/man1/ulockmgr_server.1.gz
%{_mandir}/man8/mount.fuse.8.gz
%exclude %{_sysconfdir}/init.d/%{name}
%exclude %{_sysconfdir}/udev/rules.d/99-fuse.rules

#=============================================================================
%package		devel
Summary		:       File System in Userspace (FUSE) v2 devel files

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
With FUSE it is possible to implement a fully
functional filesystem in a userspace program.
This package contains development files (headers,
pgk-config) to develop FUSE v2 based
applications/filesystems.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/fuse.h
%{_includedir}/ulockmgr.h
%{_includedir}/fuse/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/libulockmgr.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

%patch -P 5 -p1
%patch -P 7 -p1

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif

export MOUNT_FUSE_PATH="%{_sbindir}"
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

#-----------------------------------------------------------------------------
%changelog
